# overflow

Specifies how to handle content overflow of an element if the content does not fit within the predefined boundaries of the element.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
5.0-6.07.0+ | 4.0+ | 1.0+ | 4.0+ | 1.3.2+

- IE: Support for overflow is almost complete for IE 5-6
- Safari: Support for overflow is not dynamic.

## Values

inherit | Inherit the value from the parent element.
visible | Content is rendered outside of the element.
hidden | Content is clipped at the boundaries of the element.
scroll | Display scroll bars to access overflow content.
auto | Overflow behavior to be determined by the window or user settings.

## Example

For a demonstration of the overflow attribute, see the demo page on quirksmode:

http://www.quirksmode.org/css/overflow.html

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs